function CamFeed(OPTION)

load colormapBW;
close all;
hold off;

IMSIZE = 30;
global DAT;
global PREV;
global framenum;
global IMAGE;
global PREVIM
PREVIM = zeros(IMSIZE, IMSIZE);
framenum = 0;
PREV = zeros(1,24);
IMAGE = zeros(IMSIZE+1,IMSIZE);
DAT = zeros(IMSIZE+1,6);
ENd = IMSIZE + 1;
ind = 1;
%57600,... 512
UART_SPEC = struct(...
    'BaudRate', 57600,...
    'Parity', 'none',...
    'DataBits', 8, ...
    'StopBits', 1, ...
    'FlowControl', 'none',...
    'InputBufferSize', 512);

global camfeed;
camfeed = serial('COM4', UART_SPEC);
try
    fopen(camfeed);
    while(1)
        %Fetch new line from serial port
        D = fgetl(camfeed);
        d = length(D);
        if (D(1) == 'N')
            %End of frame detected
            framenum = framenum+ 1;
            DAT(ENd,1:d) = D;
            processimage;
            spy(IMAGE);
            %Output mouse movement
            if (OPTION)
            computeMOUSE(IMAGE(1:IMSIZE,1:30))
            else
            %Output keyboard press
            computeANGLE(IMAGE(IMSIZE+1,1:25));
            end
            pause(0.0000001);
             ind = 1;
             DAT = zeros(IMSIZE+1,6);
        else
            if (d > 4)
                DAT(ind,1:d) =  D;
                ind = ind + 1;
            end
        end
    end
catch err
    fclose(camfeed);
    delete(camfeed);
    clear camfeed;
    rethrow(err);
end

fclose(camfeed);
delete(camfeed);
clear camfeed;